Subject: RE: [Sip] Thoughts on the reason header field scope

From: "Tom-PT Taylor"<[email-masked]>
Date: Wed, 27 Mar 2002 15:13:50 -0500

183 responses are a key element of early media too.  It might not hurt to
have a way to indicate why one of these has been generated.

-----Original Message-----
From: Vijay K. Gurbani [mailto:[email-masked]]
Sent: Wednesday, March 27, 2002 2:56 PM
To: Sean Olson
Cc: Gonzalo Camarillo; sip
Subject: Re: [Sip] Thoughts on the reason header field scope

Sean Olson wrote:

>>There 
>>are already elaborate response codes in SIP; why add
>>one more way of 
>>propagating responses.  155 is a special provisional
>>response which 
>>elicits a further request (UPDATE), so the Reason
>>header does add some 
>>value to a generic 155 response.  I think that The
>>I-D should state that 
>>155 is the only response to which the Reason header
>>can be applied to.
>>
> 
> Would a Reason: header be allowed in a 183?

I don't speak for the authors of course, but my feeling is that 183 as a 
response code is associated with QoS preconditions.  It has a well 
defined profile, so to speak.  So carrying a Reason phrase in it 
probably does not add too much.

155 on the other hand is a response code for solving the early media, 
HERFP, as well as repairable error responses.  So there is some good to 
further qualifying the 155 response for the UAC.

Regards,

- vijay
-- 
Vijay K. Gurbani  vkg@{lucent.com,research.bell-labs.com,acm.org}
Internet Software and eServices Group
Lucent Technologies/Bell Labs Innovations, 2000 Lucent Lane, Rm 6G-440
Naperville, Illinois 60566     Voice: +1 630 224 0216   Fax: +1 630 713 0184

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip